org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

All Implemented Interfaces:
  ClientListenerRequest

Direct Known Subclasses:
  OdbcQueryCloseRequest, OdbcQueryExecuteBatchRequest, OdbcQueryExecuteRequest, OdbcQueryFetchRequest, OdbcQueryGetColumnsMetaRequest, OdbcQueryGetQueryMetaRequest, OdbcQueryGetTablesMetaRequest, OdbcQueryMoreResultsRequest, OdbcStreamingBatchRequest

    public class OdbcRequest
    extends ClientListenerRequestNoId

SQL listener command request.

### Field Summary

Fields
`static byte` `META_COLS` Get columns meta query.
`static byte` `META_PARAMS` Get parameters meta.
`static byte` `META_RESULTSET` Get resultset columns meta.
`static byte` `META_TBLS` Get columns meta query.
`static byte` `MORE_RESULTS` Get next result set.
`static byte` `QRY_CLOSE` Close query.
`static byte` `QRY_EXEC` Execute sql query.
`static byte` `QRY_EXEC_BATCH` Execute sql query with the batch of parameters.
`static byte` `QRY_FETCH` Fetch query results.
`static byte` `STREAMING_BATCH` Process ordered streaming batch.

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcRequest(byte cmd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `command()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QRY_EXEC

    public static final byte QRY_EXEC

Execute sql query.

See Also:
  Constant Field Values

#### QRY_FETCH

    public static final byte QRY_FETCH

Fetch query results.

See Also:
  Constant Field Values

#### QRY_CLOSE

    public static final byte QRY_CLOSE

Close query.

See Also:
  Constant Field Values

#### META_COLS

    public static final byte META_COLS

Get columns meta query.

See Also:
  Constant Field Values

#### META_TBLS

    public static final byte META_TBLS

Get columns meta query.

See Also:
  Constant Field Values

#### META_PARAMS

    public static final byte META_PARAMS

Get parameters meta.

See Also:
  Constant Field Values

#### QRY_EXEC_BATCH

    public static final byte QRY_EXEC_BATCH

Execute sql query with the batch of parameters.

See Also:
  Constant Field Values

#### MORE_RESULTS

    public static final byte MORE_RESULTS

Get next result set.

See Also:
  Constant Field Values

#### STREAMING_BATCH

    public static final byte STREAMING_BATCH

Process ordered streaming batch.

See Also:
  Constant Field Values

#### META_RESULTSET

    public static final byte META_RESULTSET

Get resultset columns meta.

See Also:
  Constant Field Values

### Constructor Detail

#### OdbcRequest

    public OdbcRequest(byte cmd)

Parameters:
  `cmd` - Command type.

### Method Detail

#### command

    public byte command()

Returns:
  Command.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021